Bug 216284 - Review Request: dd2 - Dodgin' Diamond 2 - Shoot'em up arcade game
Review Request: dd2 - Dodgin' Diamond 2 - Shoot'em up arcade game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-18 14:16 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 15:24:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output from dd2 crash (14.91 KB, application/octet-stream)
2006-11-18 18:25 EST, Wart
no flags Details

  None (edit)
Description Hans de Goede 2006-11-18 14:16:27 EST
Spec URL: http://people.atrpms.net/~hdegoede/dd2.spec
SRPM URL: http://people.atrpms.net/~hdegoede/dd2-0.2.1-1.fc7.src.rpm
Description:
This is a little shoot'em up arcade game for one or two players. It aims to
be an 'old school' arcade game with low resolution graphics, top-down scroll
action, energy based gameplay and different weapons with several levels of
power.

---

The rpmlint error is because the game is sgid games in order to allow global highscore saving, it has been patched todo this in a secure way.
Comment 1 Wart 2006-11-18 18:25:57 EST
Created attachment 141571 [details]
strace output from dd2 crash

The game consistently crashes when running in fullscreen mode with the nvidia
binary driver from livna

$ rpm -q kmod-nvidia
kmod-nvidia-1.0.9629-1.2.6.18_1.2849.fc6.x86_64

If fullscreen is turned off, or if the normal xorg driver is used, then the
game runs fine.  It only crashes when fullscreen is used with the binary
driver.
Comment 2 Hans de Goede 2006-11-19 02:09:08 EST
Ah what fun binary driver crap crashes. Thats why I only use opensource drivers
(and select my hardware based on that criteria). Anyways I can find nothing
usefull in the strace. Can you run this under gdb from the console (do "export
DISPLAY=:0.0" first) and then once it crashes switch back to the console to get
a backtrace? Maybe that will give us a hint on whats going on and howto work
around it. If that doesn't help please go file a bug with nvidea.
Comment 3 Wart 2006-11-20 17:20:39 EST
GOOD
====
* rpmlint warns:
  E: dd2 non-standard-executable-perm /usr/bin/dd2 02755
  This is acceptible for setgid games.
* Package and spec named appropriately
* GPL license ok, license file included
* spec file legible and in Am. English
* Source matches upstream:
  fe713b8393e05ee6417108db968f34ac  dd2-0.2.1.tar.gz
* Package builds and compiles on (FC5, FC6, devel) x (i386, x86_64)
* Package contents look sane
* No excessive BR:
* No locales
* No shared libs
* Not relocatable
* Does not own directories that it should not
* Owns all directories that it creates
* No need for a -devel or -doc subpackage
* File permissions ok
* Package provides and requires lists are sane
* Application runs on FC6-x86_64
* Scriptlets look ok

I just ran into the fullscreen problem with another game, so I expect that it
really is a bug in the binary video driver.  I'll generate a backtrace and post
it here for your reference, as well as send it upstream to nvidia so that it can
(hopefully) get fixed in a later release.
Comment 4 Wart 2006-11-21 18:12:37 EST
(In reply to comment #2)
> Ah what fun binary driver crap crashes. Thats why I only use opensource drivers
> (and select my hardware based on that criteria). Anyways I can find nothing
> usefull in the strace. Can you run this under gdb from the console (do "export
> DISPLAY=:0.0" first) and then once it crashes switch back to the console to get
> a backtrace? Maybe that will give us a hint on whats going on and howto work
> around it. If that doesn't help please go file a bug with nvidea.

FYI:  It looks like the same problem as described here:
http://bugzilla.livna.org/show_bug.cgi?id=1266

It's nothing for you to worry about; just thought I'd follow up so that you knew
what the problem was.
Comment 5 Hans de Goede 2006-11-22 15:24:38 EST
Thanks for the review and the NVidea headsup!

Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.